textproc/p5-String-Approx - The NetBSD Packages Collection

Approximate (fuzzy) string matching library for Perl

String::Approx lets you match and substitute strings approximately.
With this you can emulate errors: typing errorrs, speling errors,
closely related vocabularies (colour color), genetic mutations (GAG
ACT), abbreviations (McScot, MacScot).

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-String-Approx-3.28nb5.tgz
NetBSD 8.0earmv7hfp5-String-Approx-3.28nb4.tgz
NetBSD 8.0earmv7hfp5-String-Approx-3.28nb5.tgz
NetBSD 8.0i386p5-String-Approx-3.28nb4.tgz
NetBSD 8.0i386p5-String-Approx-3.28nb5.tgz
NetBSD 8.0powerpcp5-String-Approx-3.28nb4.tgz
NetBSD 8.0powerpcp5-String-Approx-3.28nb5.tgz
NetBSD 8.0powerpcp5-String-Approx-3.28nb5.tgz
NetBSD 8.0powerpcp5-String-Approx-3.28nb5.tgz
NetBSD 8.0x86_64p5-String-Approx-3.28nb4.tgz
NetBSD 8.0x86_64p5-String-Approx-3.28nb5.tgz
NetBSD 9.0aarch64p5-String-Approx-3.28nb5.tgz
NetBSD 9.0aarch64p5-String-Approx-3.28nb4.tgz
NetBSD 9.0aarch64p5-String-Approx-3.28nb5.tgz
NetBSD 9.0alphap5-String-Approx-3.28nb5.tgz
NetBSD 9.0alphap5-String-Approx-3.28nb4.tgz
NetBSD 9.0alphap5-String-Approx-3.28nb5.tgz
NetBSD 9.0earmp5-String-Approx-3.28nb4.tgz
NetBSD 9.0earmp5-String-Approx-3.28nb5.tgz
NetBSD 9.0earmp5-String-Approx-3.28nb5.tgz
NetBSD 9.0earmv6hfp5-String-Approx-3.28nb5.tgz
NetBSD 9.0earmv6hfp5-String-Approx-3.28nb4.tgz
NetBSD 9.0earmv6hfp5-String-Approx-3.28nb5.tgz
NetBSD 9.0earmv7hfp5-String-Approx-3.28nb5.tgz
NetBSD 9.0earmv7hfp5-String-Approx-3.28nb4.tgz
NetBSD 9.0earmv7hfp5-String-Approx-3.28nb5.tgz
NetBSD 9.0earmv7hfp5-String-Approx-3.28nb5.tgz
NetBSD 9.0i386p5-String-Approx-3.28nb4.tgz
NetBSD 9.0i386p5-String-Approx-3.28nb5.tgz
NetBSD 9.0i386p5-String-Approx-3.28nb5.tgz
NetBSD 9.0mips64ebp5-String-Approx-3.28nb5.tgz
NetBSD 9.0mips64ebp5-String-Approx-3.28nb4.tgz
NetBSD 9.0mips64ebp5-String-Approx-3.28nb4.tgz
NetBSD 9.0mips64ebp5-String-Approx-3.28nb4.tgz
NetBSD 9.0mips64ebp5-String-Approx-3.28nb5.tgz
NetBSD 9.0powerpcp5-String-Approx-3.28nb5.tgz
NetBSD 9.0powerpcp5-String-Approx-3.28nb4.tgz
NetBSD 9.0powerpcp5-String-Approx-3.28nb5.tgz
NetBSD 9.0powerpcp5-String-Approx-3.28nb5.tgz
NetBSD 9.0sh3elp5-String-Approx-3.28nb5.tgz
NetBSD 9.0sh3elp5-String-Approx-3.28nb4.tgz
NetBSD 9.0sh3elp5-String-Approx-3.28nb5.tgz
NetBSD 9.0sparc64p5-String-Approx-3.28nb5.tgz
NetBSD 9.0sparc64p5-String-Approx-3.28nb4.tgz
NetBSD 9.0sparc64p5-String-Approx-3.28nb5.tgz
NetBSD 9.0sparcp5-String-Approx-3.28nb5.tgz
NetBSD 9.0sparcp5-String-Approx-3.28nb4.tgz
NetBSD 9.0sparcp5-String-Approx-3.28nb4.tgz
NetBSD 9.0sparcp5-String-Approx-3.28nb4.tgz
NetBSD 9.0sparcp5-String-Approx-3.28nb5.tgz
NetBSD 9.0vaxp5-String-Approx-3.28nb4.tgz
NetBSD 9.0x86_64p5-String-Approx-3.28nb5.tgz
NetBSD 9.0x86_64p5-String-Approx-3.28nb5.tgz
NetBSD 9.0x86_64p5-String-Approx-3.28nb4.tgz
NetBSD 9.0x86_64p5-String-Approx-3.28nb5.tgz
NetBSD 9.0x86_64p5-String-Approx-3.28nb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.